<ion-list>

    <ion-item-sliding #slidingItem *ngFor="let list of this._listService.lists | filterComplete:finished">

        <ion-item-options side="left">
            <button (click)="updateList(list, slidingItem)" ion-button icon-only color="primary">
                <ion-icon name="create"></ion-icon>
            </button>
        </ion-item-options>
        
        <button ion-item  (click)="listSelected(list)">
            {{ list.title }}

            <ion-note item-end>{{ list.items.length }} items</ion-note>

        </button>  
        <ion-item-options side="right">
            <button (click)="deleteList(list)" ion-button icon-only color="danger">
                <ion-icon name="close"></ion-icon>
            </button>
        </ion-item-options>

    </ion-item-sliding>

</ion-list>